Name:		fprintd
Version:	1.94.2
Release:	16
Summary:	D-Bus service for Fingerprint reader access

License:	GPL-2.0-or-later
Source0:	https://gitlab.freedesktop.org/libfprint/fprintd/-/archive/v%{version}/fprintd-v%{version}.tar.gz
Url:		http://www.freedesktop.org/wiki/Software/fprint/fprintd
ExcludeArch:    s390 s390x
Patch0001:	0001-Don-t-try-to-clear-storage-on-devices-without-intern.patch
Patch0002:	0002-tests-Fix-dbusmock-AddDevice-calls-to-include-option.patch
Patch0003:	0003-meson-Do-not-hard-require-test-dependencies.patch
Patch0004:	0004-tests-Hide-intermediate-error-in-output-checker.patch
Patch0005:	0005-meson-Add-option-to-use-libelogind-for-DBus.patch
Patch0006:	0006-Permit-build-without-pam_wrapper.patch
Patch0007:	0007-Translated-using-Weblate-Russian.patch
Patch0008:	0008-Translated-using-Weblate-Chinese-Simplified-zh_CN.patch
Patch0009:	0009-scripts-Update-uncrustify-configuration.patch
Patch0010:	0010-Translated-using-Weblate-Thai.patch
Patch0011:	0011-Translated-using-Weblate-Georgian.patch
Patch0012:	0012-Translated-using-Weblate-Hungarian.patch
Patch0013:	0013-Translated-using-Weblate-Croatian.patch
Patch0014:	0014-Fix-loading-external-modules.patch

BuildRequires:	meson
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	git
BuildRequires:	pam-devel
BuildRequires:	libfprint-devel >= 1.94.0
BuildRequires:	polkit-devel
BuildRequires:	gtk-doc
BuildRequires:	gettext
BuildRequires:	perl-podlators
BuildRequires:	systemd-devel
BuildRequires:	python3-dbusmock
BuildRequires:	python3-libpamtest


Provides:         pam_fprint = %{version}-%{release} %{name}-pam = %{version}-%{release}
Obsoletes:        pam_fprint < 0.2-3 %{name}-pam < %{version}-%{release}

Requires(postun): authselect >= 0.3

%description
The fprint project aims to add support for consumer fingerprint reader devices, in Linux, as well as other free Unices.

%package devel
Summary:          Development package for %{name}
Requires:         %{name} = %{version}-%{release}
License:          GPL-2.0-or-later AND GFDL-1.1-or-later
BuildArch:        noarch

%description devel
This package contains some libraries and header files for the
development of %{name}.

%package help
Summary:          Help package for %{name}
Requires:         %{name} = %{version}-%{release}
BuildArch:        noarch

%description help
This package contains some man help files for %{name}.

%prep
%autosetup -S git -n %{name}-v%{version}

%build
%meson -Dgtk_doc=true -Dpam=true -Dpam_modules_dir=%{_libdir}/security
%meson_build

%install
%meson_install
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/lib/fprint

%find_lang %{name}

%postun
if [ $1 -eq 0 ]
then
    /bin/authselect current | grep with-fingerprint >/dev/null 2>&1
    if [ $? -eq 0 ]
    then
        /bin/authselect disable-feature with-fingerprint || :
    fi
fi

%files -f %{name}.lang
%doc README pam/README COPYING AUTHORS TODO
%{_libdir}/security/pam_fprintd.so
%{_bindir}/fprintd-*
%{_libexecdir}/fprintd
%{_sysconfdir}/fprintd.conf
%{_datadir}/dbus-1/system.d/net.reactivated.Fprint.conf
%{_datadir}/dbus-1/system-services/net.reactivated.Fprint.service
%{_datadir}/polkit-1/actions/net.reactivated.fprint.device.policy
%{_unitdir}/fprintd.service
%{_localstatedir}/lib/fprint

%files devel
%{_datadir}/gtk-doc/
%{_datadir}/dbus-1/interfaces/net.reactivated.Fprint.{Device,Manager}.xml

%files help
%{_mandir}/man1/fprintd.1.gz
%{_mandir}/man8/pam_fprintd.8.gz

%changelog
* Thu Jun 13 2024 yao_xin <yao_xin001@hoperun.com> - 1.94.2-16
- License compliance rectification

* Fri Jan 06 2023 xuxinyu <xuxinyu@xfusion.com> - 1.94.2-15
- Fix loading external modules

* Fri Jan 06 2023 xuxinyu <xuxinyu@xfusion.com> - 1.94.2-14
- Translated using Weblate (Croatian)

* Fri Jan 06 2023 xuxinyu <xuxinyu@xfusion.com> - 1.94.2-13
- Translated using Weblate (Hungarian)

* Fri Jan 06 2023 xuxinyu <xuxinyu@xfusion.com> - 1.94.2-12
- Translated using Weblate (Georgian)

* Fri Jan 06 2023 xuxinyu <xuxinyu@xfusion.com> - 1.94.2-11
- Translated using Weblate (Thai)

* Fri Jan 06 2023 xuxinyu <xuxinyu@xfusion.com> - 1.94.2-10
- scripts: Update uncrustify configuration

* Fri Jan 06 2023 xuxinyu <xuxinyu@xfusion.com> - 1.94.2-9
- Translated using Weblate (Chinese (Simplified) (zh_CN))

* Thu Jan 05 2023 xuxinyu <xuxinyu@xfusion.com> - 1.94.2-8
- Translated using Weblate (Russian)

* Thu Jan 05 2023 xuxinyu <xuxinyu@xfusion.com> - 1.94.2-7
- Permit build without pam_wrapper

* Thu Jan 05 2023 xuxinyu <xuxinyu@xfusion.com> - 1.94.2-6
- meson: Add option to use libelogind for DBus

* Thu Jan 05 2023 xuxinyu <xuxinyu@xfusion.com> - 1.94.2-5
- tests: Hide intermediate error in output checker

* Thu Jan 05 2023 xuxinyu <xuxinyu@xfusion.com> - 1.94.2-4
- meson: Do not hard-require test dependencies

* Thu Jan 05 2023 xuxinyu <xuxinyu@xfusion.com> - 1.94.2-3
- tests: Fix dbusmock AddDevice calls to include optional argument

* Thu Jan 05 2023 xuxinyu <xuxinyu@xfusion.com> - 1.94.2-2
- Don't try to clear storage on devices without internal
- storage This change prevents warnings like 'Failed to clear
- storage before first enrollment: Device has no storage.'.

* Mon May 30 2022 chenchen <chen_aka_jan@163.com> - 1.94.2-1
- Update to 1.94.2

* Fri Jul 30 2021 linjiaxin5 <linjiaxin5@huawei.com> - 0.8.1-6
- Fix failure caused by GCC upgrade to 10

* Fri Feb 26 2021 lingsheng <lingsheng@huawei.com> - 0.8.1-5
- Disable with-fingerprint when with-fingerprint is enabled

* Mon Nov 04 2019 huzhiyu <huzhiyu1@huawei.com> - 0.8.1-4
- Package init
